import GlobalEvents from "../Events/GlobalEvents.js";
export class GlobalContext {
    constructor(options) {
        this.m_parent = options.parent;
        this.m_events = new GlobalEvents({
            label: "GLOBAL"
        });
        this.m_storage = this.parent.storage.global;
    }
    get events() {
        return this.m_events;
    }
    get parent() {
        return this.m_parent;
    }
    get storage() {
        return this.m_storage;
    }
}
